[ARVADOS] updated: 1.3.0-2739-g7a2b8cbed
Git user
git at public.arvados.org
Mon Jun 29 15:18:14 UTC 2020
Summary of changes:
...python-client.sh => test-package-python3-arvados-python-client.sh} | 4 ++--
...nt.sh => test-package-rh-python36-python-arvados-python-client.sh} | 4 ++--
2 files changed, 4 insertions(+), 4 deletions(-)
copy build/package-testing/{test-package-python27-python-arvados-python-client.sh => test-package-python3-arvados-python-client.sh} (57%)
copy build/package-testing/{test-package-python27-python-arvados-python-client.sh => test-package-rh-python36-python-arvados-python-client.sh} (55%)
via 7a2b8cbedd6f97a044c10784a66e2e75f9010cb8 (commit)
via 24f90113a4e701f725229814ce5a36197306d059 (commit)
from 352b09c94caa1cf92972d28f7820276ed0ac84e4 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 7a2b8cbedd6f97a044c10784a66e2e75f9010cb8
Merge: 352b09c94 24f90113a
Author: Ward Vandewege <ward at curii.com>
Date: Mon Jun 29 11:17:52 2020 -0400
Merge branch '16568-python3-arvados-python-client-package-test'
closes #16568
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
commit 24f90113a4e701f725229814ce5a36197306d059
Author: Ward Vandewege <ward at curii.com>
Date: Mon Jun 29 11:16:21 2020 -0400
16568: add package test files for the python3 arvados python client
packages.
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/build/package-testing/test-package-python3-arvados-python-client.sh b/build/package-testing/test-package-python3-arvados-python-client.sh
new file mode 100755
index 000000000..d4e66a27b
--- /dev/null
+++ b/build/package-testing/test-package-python3-arvados-python-client.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+set -e
+
+arv-put --version
+
+/usr/share/python3/dist/python3-arvados-python-client/bin/python3 << EOF
+import arvados
+print("Successfully imported arvados")
+EOF
diff --git a/build/package-testing/test-package-rh-python36-python-arvados-python-client.sh b/build/package-testing/test-package-rh-python36-python-arvados-python-client.sh
new file mode 100755
index 000000000..1a6925656
--- /dev/null
+++ b/build/package-testing/test-package-rh-python36-python-arvados-python-client.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+set -e
+
+arv-put --version
+
+/usr/share/python3/dist/rh-python36-python-arvados-python-client/bin/python3 << EOF
+import arvados
+print("Successfully imported arvados")
+EOF
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list